<?php
declare( strict_types=1 );

namespace FiboFilters\Config;

use Freemius;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class FreemiusConfig
 */
class FreemiusConfig {
	/** @var Freemius */
	private $freemius;

	/**
	 * Constructor
	 *
	 * @param Freemius $freemius Freemius class.
	 */
	public function __construct(
		Freemius $freemius
	) {
		$this->freemius = $freemius;
	}

	/**
	 * Init
	 */
	public function init(): void {
		$this->freemius->add_filter(
			'plugin_icon',
			function (): string {
				return Env::$static_path . '/filters-avatar.png';
			}
		);
	}
}
